Subject: Re: next-20160914 build: 2 failures 3 warnings (next-20160914)

From: Mark Brown <[email-masked]>
Date: Mon, 19 Sep 2016 11:54:29 +0100

On Mon, Sep 19, 2016 at 12:31:04PM +0200, Arnd Bergmann wrote:

> My guess is that this is indeed the correct fix, but I don't understand
> at all what the function does, and Marcin Niestroj said the same thing,
> he just copied the code from a driver that is always built-in.

Yes, most of the code is copied from regmap-irq.  Setting the parent is
needed for edge triggered interrupts that don't latch state when
disabled but isn't needed in the general case.